## gimpbrushselect

gimpbrushselect — Functions providing a brush selection dialog.

## Functions

void | (*GimpRunBrushCallback) ()
const gchar * | gimp_brush_select_new ()
void | gimp_brush_select_destroy ()
gboolean | gimp_brushes_popup ()
gboolean | gimp_brushes_close_popup ()
gboolean | gimp_brushes_set_popup ()

## Description

Functions providing a brush selection dialog.

## Functions

### GimpRunBrushCallback ()

    void
    (*GimpRunBrushCallback) (const gchar *brush_name,
                             gdouble opacity,
                             gint spacing,
                             GimpLayerMode paint_mode,
                             gint width,
                             gint height,
                             const guchar *mask_data,
                             gboolean dialog_closing,
                             gpointer user_data);

### gimp_brush_select_new ()

    const gchar *
    gimp_brush_select_new (const gchar *title,
                           const gchar *brush_name,
                           gdouble opacity,
                           gint spacing,
                           GimpLayerMode paint_mode,
                           GimpRunBrushCallback callback,
                           gpointer data);

### gimp_brush_select_destroy ()

    void
    gimp_brush_select_destroy (const gchar *brush_callback);

### gimp_brushes_popup ()

    gboolean
    gimp_brushes_popup (const gchar *brush_callback,
                        const gchar *popup_title,
                        const gchar *initial_brush,
                        gdouble opacity,
                        gint spacing,
                        GimpLayerMode paint_mode);

Invokes the Gimp brush selection.

This procedure opens the brush selection dialog.

#### Parameters

brush_callback | The callback PDB proc to call when brush selection is made. |
popup_title | Title of the brush selection dialog. |
initial_brush | The name of the brush to set as the first selected. |
opacity | The initial opacity of the brush. |
spacing | The initial spacing of the brush (if < 0 then use brush default spacing). |
paint_mode | The initial paint mode. |

#### Returns

TRUE on success.

### gimp_brushes_close_popup ()

    gboolean
    gimp_brushes_close_popup (const gchar *brush_callback);

Close the brush selection dialog.

This procedure closes an opened brush selection dialog.

#### Parameters

brush_callback | The name of the callback registered for this pop-up. |

#### Returns

TRUE on success.

### gimp_brushes_set_popup ()

    gboolean
    gimp_brushes_set_popup (const gchar *brush_callback,
                            const gchar *brush_name,
                            gdouble opacity,
                            gint spacing,
                            GimpLayerMode paint_mode);

Sets the current brush in a brush selection dialog.

Sets the current brush in a brush selection dialog.

#### Parameters

brush_callback | The name of the callback registered for this pop-up. |
brush_name | The name of the brush to set as selected. |
opacity | The initial opacity of the brush. |
spacing | The initial spacing of the brush (if < 0 then use brush default spacing). |
paint_mode | The initial paint mode. |

#### Returns

TRUE on success.

## Types and Values